<?php

namespace Lean\Console\Controller;

use Psr\Http\Message\{ ResponseInterface, ServerRequestInterface };

use Notes\Route\Annotation\Object\Route as RouteParam,
    Notes\Route\Annotation\Method\Route,
    Notes\Security\Annotation\Security,
    Notes\Tell\Annotation\Language;

use \Lean\Console\Lib;

/**
 * @Language("lean.console")
 */
class Console {
    use Lib\ConsoleControllerTrait;

    /**
     * @Route("/", "name" => "lean.console:home")
     */
    public function home(ServerRequestInterface $request, array $arguments) : ResponseInterface
    {
        return $this->renderView("lean-console/page/dashboard/index", [

        ]);
    }
}